VIGRA - VIGRA: SlantedEdgeMTFOptions Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SlantedEdgeMTFOptions [Camera MTF Estimation] |

Pass options to one of the slantedEdgeMTF() functions. More...

`#include <vigra/slanted_edge_mtf.hxx>`

List of all members.

## Public Member Functions
SlantedEdgeMTFOptions & | desiredEdgeWidth (unsigned int n)
SlantedEdgeMTFOptions & | minimumEdgeWidth (unsigned int n)
SlantedEdgeMTFOptions & | minimumNumberOfLines (unsigned int n)
SlantedEdgeMTFOptions & | mtfSmoothingScale (double scale)
| SlantedEdgeMTFOptions ()

## Detailed Description

Pass options to one of the slantedEdgeMTF() functions.

`SlantedEdgeMTFOptions` is an argument objects that holds various optional parameters used by the slantedEdgeMTF() functions. If a parameter is not explicitly set, a suitable default will be used. Changing the defaults is only necessary if you can't obtain good input data, but absolutely need an MTF estimate.

Usage:

#include <vigra/slanted_edge_mtf.hxx>
Namespace: vigra

        vigra::BImage src(w,h);
        std::vector<vigra::TinyVector<double, 2> > mtf;

        ...
        vigra::slantedEdgeMTF(srcImageRange(src), mtf,
                              vigra::SlantedEdgeMTFOptions().mtfSmoothingScale(1.0));

        // print the frequency / attenuation pairs found
        for(int k=0; k<result.size(); ++k)
            std::cout << "frequency: " << mtf[k][0] << ", estimated attenuation: " << mtf[k][1] << std::endl;

## Constructor & Destructor Documentation

SlantedEdgeMTFOptions | ( |  | ) |

Initialize all options with default values.

## Member Function Documentation

SlantedEdgeMTFOptions& desiredEdgeWidth | ( | unsigned int | n | ) |

Desired number of pixels perpendicular to the edge.

The larger the regions to either side of the edge, the more accurate the resulting MTF estimate. If you don't have good data, but absolutely have to compute an MTF, you may force a lower value here.
Default: 10

SlantedEdgeMTFOptions& minimumEdgeWidth | ( | unsigned int | n | ) |

Minimum acceptable number of pixels perpendicular to the edge.

The larger the regions to either side of the edge, the more accurate the resulting MTF estimate. If you don't have good data, but absolutely have to compute an MTF, you may force a lower value here.
Default: 5

SlantedEdgeMTFOptions& minimumNumberOfLines | ( | unsigned int | n | ) |

Minimum number of pixels the edge must cross.

The longer the edge the more accurate the resulting MTF estimate. If you don't have good data, but absolutely have to compute an MTF, you may force a lower value here.
Default: 20

SlantedEdgeMTFOptions& mtfSmoothingScale | ( | double | scale | ) |

Amount of smoothing of the computed MTF.

If the datais noisy, so will be the MTF. Thus, some smoothing is useful.
Default: 2.0

The documentation for this class was generated from the following file:

- vigra/slanted_edge_mtf.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)